Skip to main content
PUT
Update a subscription plan

Authorizations

X-API-Key
string
header
required

Company API key. Send in the X-API-Key header.

Headers

x-client-id
string
required

Client identifier for the company in the request.

Example:

"client_abc123"

Path Parameters

uuid
string<uuid>
required

Body

application/json
name
string | null
Example:

"Pro Monthly"

description
string | null
Example:

"Updated description."

billing_day
integer | null

Day of the month to charge (1–28).

Example:

10

trial_period_days
integer | null

Free trial days (1–365).

Example:

14

is_active
boolean | null

Set to false to deactivate the plan and prevent new subscriptions.

Example:

false

min_card_months
integer | null

Minimum months the card must be valid at subscription creation (0 to remove restriction).

Example:

3

Response

Plan updated

data
object